Bug 1038034

Summary: enigmail unusable with MozillaThunderbird-52.1.0-42.1
Product: [openSUSE] openSUSE Distribution Reporter: Mario Goppold <mgoppold>
Component: FirefoxAssignee: E-mail List <bnc-team-mozilla>
Status: RESOLVED WONTFIX QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: astieger, mgoppold
Version: Leap 42.1Flags: astieger: needinfo? (mgoppold)
Target Milestone: ---   
Hardware: x86-64   
OS: openSUSE 42.1   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Mario Goppold 2017-05-08 12:40:11 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.96 Safari/537.36
Build Identifier: 

with the TB update enigmail become unuseble.


MozillaThunderbird-52.1.0-42.1.x86_64
enigmail-1.8.2-3.6.x86_64

TB error-console shows:
ReferenceError: EnigmailFuncs is not defined
onpopupshowing


Reproducible: Always

Steps to Reproduce:
1. start TB
2. select Enigmail -> About Enigmail 

oder select encrypted message
Actual Results:  
nothing happens


diableling and enableling enigmail does not help.
Comment 1 Andreas Stieger 2017-05-08 13:04:22 UTC
Works on 42.2 with 1.9.5. 42.1 has 8 days of lifetime left...
Does it work with 1.9.6.1 from mozilla:Factory on 42.1?
Comment 2 Mario Goppold 2017-05-08 16:47:55 UTC
(In reply to Andreas Stieger from comment #1)
> Works on 42.2 with 1.9.5. 42.1 has 8 days of lifetime left...
> Does it work with 1.9.6.1 from mozilla:Factory on 42.1?

Not realy, Dialogboxes are shown but on select an encrypted message the following error occurs:

   GnuPG reported an error in the communication with gpg-agent (a component of GnuPG).
   This is a system setup or configuration error that prevents Enigmail from working properly and cannot be fixed automatically.

Tested on an different system with the latest Updates. Neither messages in the console (from where TB was started) nor in the Error Console from TB.
Comment 3 Andreas Stieger 2017-05-15 08:53:25 UTC
If this fails with 1.9.6.1, there may be something else broken with your GnuPG configuration. Works for me on 42.2, I don't think we can fix it in time for 42.1 EOL.
Comment 4 Andreas Stieger 2017-05-17 18:24:49 UTC
Also see bug 1039471
Comment 5 Swamp Workflow Management 2017-05-19 22:09:27 UTC
openSUSE-RU-2017:1363-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1038034
CVE References: 
Sources used:
openSUSE Leap 42.2 (src):    enigmail-1.9.7-2.3.1